
Audacious - Bug #957

Scrubber grows and shrinks as elapsed time changes

April 08, 2020 18:43 - J. King

Status: Closed Start date: April 08, 2020

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/qtui Estimated time: 0.00 hour

Target version: 4.0.2   

Affects version: 4.0.1   

Description

I'm not sure if this was also the case with the GTK interface, but the length of the Qt scrubber depends on the displayed elapsed time

(the size of which is not fixed). This means that every second, the size of the scrubber (and the position of the current time on the

scrubber) changes. This is also a problem while manipulating the scrubber, such that dragging the marker around will lead it to jitter

beneath the mouse cursor. This is particularly distracting with 10+ minute tracks when crossing the ten-minute boundary and an

entire digit is added to the elapsed time.

History

#1 - April 09, 2020 03:50 - John Lindgren

This has always been the case in the GTK interface as well.

You can get rid of the width change at 10:00 by enabling the setting: Playlist -> Song Display -> Show leading zeroes.

The width might still change by a pixel or two if the font has irregular digits. And it will still change if you listen past 1:00:00.

Do you have a suggestion for how to solve this? I guess the current behavior seems "good enough" to me personally.

#2 - April 11, 2020 07:16 - John Lindgren

- % Done changed from 0 to 100

- Target version set to 4.0.2

- Status changed from New to Closed

- Category set to plugins/qtui

Okay, this should be fixed now:

https://github.com/audacious-media-player/audacious-plugins/commit/3ead9818220103c6fe459c016d9e34e3bfcb5320

Powered by TCPDF (www.tcpdf.org)

April 26, 2024 1/1

https://github.com/audacious-media-player/audacious-plugins/commit/3ead9818220103c6fe459c016d9e34e3bfcb5320
http://www.tcpdf.org

